/// @description Insert description here
// You can write your code in this editor



if (mouse_check_button_pressed(mb_left)){
	if (global.created = false){    
	//room_restart();
	
	
		obj_file = get_open_filename("*.obj;*.txt", "open an obj file");
		show_debug_message(string(	obj_file ));

		/// file is indeed fetched
		if (obj_file  != ""){
			file = file_text_open_read(obj_file);
		
			//math_set_epsilon(0);

		
			// for appending the data structure coorinates.
			//vert x y z data structure appending
			// set the first ds grid slot
			var zz = 0;
			var vv = 0;
			var qq = 0;
			var rr = 0;

		
			// while we havent hit the end of the text file
			while (file_text_eof(file) = false){
		
				// read line of the file
				var obj_string = file_text_read_string(file);

			
				/////////////////////////////////////////////////////// VERTECY ENTRY //////////////////////////////////////////////////////
				// if this is a vertex list data entry
				if (string_count("v ", obj_string) > 0){
			
					// first remove unnessesary lettering
					// replace evert space with a "|" which will dicate the end of a value. This is done to separate the values in one string.
					obj_string = string_replace(obj_string, "v ", "");
					obj_string = string_replace_all(obj_string," ","|");
					obj_string = string_replace(obj_string,obj_string,obj_string+"|");

			
					// do the following for X Y and Z values
					for (xx = 0; xx< 3; xx++){
						var end_char = 0;
				
						// find the space between the values which idicated the end of the X value
						// the last value (Z) has no space so when we're checking it, only check if we've reached the end of string

						while(string_char_at(obj_string, end_char) != "|"){
							end_char ++;
						}
					
						// when thge end of the value has been found, copy it
						var value = string_copy(obj_string, 1, end_char);
						//show_debug_message(">" + string(value) + "<");		

						// Write the X value to the map in the XX slot
						ds_grid_set(ds_vert,zz,xx,real(value));
				
						// remove the X value from the string and move on the Y
						obj_string = string_delete(obj_string, 1, end_char);
					}
				
				
				
				
					// add another slot to the ds list and move on the the next slot
					ds_grid_resize(ds_vert,ds_grid_width(ds_vert)+1,3);
					zz ++;
				} // end of if this is a vertecy entry
				///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
			
				/////////////////////////////////////////////////////// UV ENTRY //////////////////////////////////////////////////////
				// if this is a UV texture coordinate list data entry
				if (string_count("vt ", obj_string) > 0){
			
			
					// first remove unnessesary lettering
					// replace evert space with a "|" which will dicate the end of a value. This is done to separate the values in one string.
					obj_string = string_replace(obj_string, "vt ", "");
					obj_string = string_replace_all(obj_string," ","|");
					obj_string = string_replace(obj_string,obj_string,obj_string+"|");				
				
			
					// do the following for U and V values
					for (xx = 0; xx< 2; xx++){
						var end_char = 0;
				
						// locate end character which is the "|" 
						while(string_char_at(obj_string, end_char) != "|"){
							end_char ++;
						}
					
						// when thge end of the value has been found, copy it
						var value = string_copy(obj_string, 1, end_char);
							//show_debug_message(">" + string(value) + "<");	

						// Write the X value to the map in the XX slot
						ds_grid_set(ds_uvs,vv,xx,real(value))
				
						// remove the X value from the string and move on the Y
						obj_string = string_delete(obj_string, 1, end_char);
					}
				
				
					// add another slot to the ds list and move on the the next slot
					ds_grid_resize(ds_uvs,ds_grid_width(ds_uvs)+1,2);
					vv ++;
				} // end of if this is a vertecy entry
				//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
						
				/////////////////////////////////////////////////////// NORMALS ENTRY ////////////////////////////////////////////////////
				// if this is a UV texture coordinate list data entry
				if (string_count("vn ", obj_string) > 0){
			
			
					// first remove unnessesary lettering
					// replace evert space with a "|" which will dicate the end of a value. This is done to separate the values in one string.
					obj_string = string_replace(obj_string, "vn ", "");
					obj_string = string_replace_all(obj_string," ","|");
					obj_string = string_replace(obj_string,obj_string,obj_string+"|");				

			
					// do the following for U and V values
					for (xx = 0; xx< 3; xx++){
						var end_char = 0;
				
						// locate end character which is the "|" 
						while(string_char_at(obj_string, end_char) != "|"){
							end_char ++;
						}
					
						// when thge end of the value has been found, copy it
						var value = string_copy(obj_string, 1, end_char);
						//show_debug_message(">" + string(obj_string) + "<");		

						// Write the X value to the map in the XX slot
						ds_grid_set(ds_normals,qq,xx,real(value))
				
						// remove the X value from the string and move on the Y
						obj_string = string_delete(obj_string, 1, end_char);
					}
				
				
					// add another slot to the ds list and move on the the next slot
					ds_grid_resize(ds_normals,ds_grid_width(ds_normals)+1,3);
					qq ++;
				} // end of if this is a vertecy entry
				//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
			
			
			
			
			
			
				//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
				/////////////////////////////////////////////////////// BUILD THE MODEL //////////////////////////////////////////////////
				//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
				// if this is the vertex buidling instruction entry
				if (string_count("f ", obj_string) > 0){
			
			
					// first remove unnessesary lettering
					// replace evert space with a "|" which will dicate the end of a value. This is done to separate the values in one string.
					obj_string = string_replace(obj_string, "f ", "");
					obj_string = string_replace_all(obj_string," ","|");
					obj_string = string_replace(obj_string,obj_string,obj_string+"|");	
							
					// empty variables for storing data from the obj file
					var pick_vert;
					var pick_uv;
					var pick_norm;
				
				
				
				
					// do the following for U and V values
					for(xx=0; xx< 3; xx++){
						for(yy=0;yy<3;yy++){
							var end_char = 0;

							// locate end character which is the "/" 
							while(string_char_at(obj_string, end_char) != "/" && string_char_at(obj_string, end_char) != "|"){
								end_char ++;
							}
					
							// when thge end of the value has been found, copy it
							var value = string_copy(obj_string, 1, end_char);
							switch(yy){
								case 0:
									pick_vert = real(value);
									break;
								case 1:
									pick_uv = real(value);
									break;
								case 2:
									pick_norm = real(value);
									break;
							}
						

						


							// delete the "|" after reading all 3 values for vets, uvs and norms
							obj_string = string_delete(obj_string,1,end_char)

						}
							ds_grid_set(ds_mapping,rr,0,pick_vert);
							ds_grid_set(ds_mapping,rr,1,pick_uv);
							ds_grid_set(ds_mapping,rr,2,pick_norm);
						
						ds_grid_resize(ds_mapping,ds_grid_width(ds_mapping)+1,3);
						rr ++;

					}
				
				
					// add another slot to the ds list and move on the the next slot
					//ds_grid_resize(ds_normals,ds_grid_width(ds_normals)+1,3);
				
				} // end of if this is a vertecy entry
				//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
				//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
				//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
			
			
			
			
			
				// move to the next line
				file_text_readln(file);

		
		
			} // end of "while not end of text file"
		
			// finish the model preview building	
		
		

					
			// delete extra ds grid slots
			ds_grid_resize(ds_vert,ds_grid_width(ds_vert)-1,3);
			ds_grid_resize(ds_uvs,ds_grid_width(ds_uvs)-1,3);
			ds_grid_resize(ds_normals,ds_grid_width(ds_normals)-1,3);
			ds_grid_resize(ds_mapping,ds_grid_width(ds_mapping)-1,3);
			
				show_debug_message("VERTECIES" );
				for (xx=0;xx<ds_grid_width(ds_vert);xx++){				
					show_debug_message(" x:" + string(ds_grid_get(ds_vert,xx,0)) + " y:" + string(ds_grid_get(ds_vert,xx,1)) + " z:" + string(ds_grid_get(ds_vert,xx,2)));
				}
				show_debug_message("UVs" );
				for (xx=0;xx<ds_grid_width(ds_uvs);xx++){				
					show_debug_message("U:" + string(ds_grid_get(ds_uvs,xx,0)) + " V:" + string(ds_grid_get(ds_uvs,xx,1)));
				}
				show_debug_message("BORMALS" );
				for (xx=0;xx<ds_grid_width(ds_normals);xx++){				
					show_debug_message("Nor X:" + string(ds_grid_get(ds_normals,xx,0)) + " Nor Y:" + string(ds_grid_get(ds_normals,xx,1)) + " Nor Z:" + string(ds_grid_get(ds_normals,xx,2)));
				}
			
				show_debug_message("MAPPING");
				for (xx=0;xx<ds_grid_width(ds_mapping);xx++){
				
					show_debug_message("vert:" + string(ds_grid_get(ds_mapping,xx,0)) + " uv:" + string(ds_grid_get(ds_mapping,xx,1)) + " norm:" + string(ds_grid_get(ds_mapping,xx,2)) );
				}

				instance_create_layer(room_width/2,room_height/2,"Instances",obj_model);
				file_text_close(file);
		
	

	
	
		// write down values into a new text file to confirm
		conf_file = file_text_open_write("obj_parse.txt");
		file_text_write_string(conf_file,"UV Coordinates");
		for (xx=0;xx<ds_grid_width(ds_uvs);xx++){				
			file_text_writeln(conf_file);
			file_text_write_string(conf_file, "U: ");
			file_text_write_real(conf_file, ds_grid_get(ds_uvs,xx,0));
			file_text_write_string(conf_file, " V: ");
			file_text_write_real(conf_file, ds_grid_get(ds_uvs,xx,1));
		}
		//get_save_filename("*.txt", string(conf_file));
		file_text_close(conf_file);
		global.created = true
		} // end of sucessfully openning a file
	} // end of mouse button click
	else {
		room_restart();
	}
	
}