/// @description Insert description here
// You can write your code in this editor

rot = 0;
add = 0;


vertex_format_begin();
vertex_format_add_position_3d();
vertex_format_add_normal();
vertex_format_add_color();
vertex_format_add_textcoord();
format = vertex_format_end();



			
// create the preview buffer where we will finally apply all the obj model data.	
v_buffer = vertex_create_buffer();
vertex_begin( v_buffer, format );





// write down values into a new text file to confirm
conf_file = file_text_open_write("converted model.txt");
for (xx=0;xx<ds_grid_width(obj_handler.ds_mapping);xx++){
		
	pick_vert = ds_grid_get(obj_handler.ds_mapping,xx,0)-1;
	pick_norm = ds_grid_get(obj_handler.ds_mapping,xx,2)-1;
	pick_uv = ds_grid_get(obj_handler.ds_mapping,xx,1)-1;
				
				
	file_text_writeln(conf_file);
	file_text_write_string(conf_file, "vertex_position_3d(v_buffer, ");
	file_text_write_string(conf_file, string_format(ds_grid_get(obj_handler.ds_vert, pick_vert,0), 0, 9));
	file_text_write_string(conf_file, ",");
	file_text_write_string(conf_file, string_format(ds_grid_get(obj_handler.ds_vert, pick_vert,1), 0, 9));		
	file_text_write_string(conf_file, ",");
	file_text_write_string(conf_file, string_format(ds_grid_get(obj_handler.ds_vert, pick_vert,2), 0, 9));
	file_text_write_string(conf_file, ");");
	file_text_writeln(conf_file);
	
	file_text_write_string(conf_file, "vertex_normal(v_buffer, ");
	file_text_write_string(conf_file, string_format(ds_grid_get(obj_handler.ds_normals,pick_norm,0), 0, 9));
	file_text_write_string(conf_file, ",");
	file_text_write_string(conf_file, string_format(ds_grid_get(obj_handler.ds_normals,pick_norm,1), 0, 9));		
	file_text_write_string(conf_file, ",");
	file_text_write_string(conf_file, string_format(ds_grid_get(obj_handler.ds_normals,pick_norm,2), 0, 9));
	file_text_write_string(conf_file, ");");
	file_text_writeln(conf_file);
	
	file_text_write_string(conf_file, "vertex_color(v_buffer, c_white, 1 );");
	file_text_writeln(conf_file);
	
	file_text_write_string(conf_file, "vertex_texcoord(v_buffer,");
	file_text_write_string(conf_file, string_format(ds_grid_get(obj_handler.ds_uvs,pick_uv,0), 0, 9));
	file_text_write_string(conf_file, ",");
	file_text_write_string(conf_file, string_format(ds_grid_get(obj_handler.ds_uvs,pick_uv,1), 0, 9));		
	file_text_write_string(conf_file, ");");	
	file_text_writeln(conf_file);
	
}
		
for (xx=0;xx<ds_grid_width(obj_handler.ds_mapping);xx++){
		
	pick_vert = ds_grid_get(obj_handler.ds_mapping,xx,0)-1;
	pick_norm = ds_grid_get(obj_handler.ds_mapping,xx,2)-1;
	pick_uv = ds_grid_get(obj_handler.ds_mapping,xx,1)-1;
	

	vertex_position_3d(	v_buffer, ds_grid_get(obj_handler.ds_vert, pick_vert,0),	ds_grid_get(obj_handler.ds_vert, pick_vert,1),		ds_grid_get(obj_handler.ds_vert, pick_vert,2));
	vertex_normal(		v_buffer, ds_grid_get(obj_handler.ds_normals,pick_norm,0),	ds_grid_get(obj_handler.ds_normals,pick_norm,1),	ds_grid_get(obj_handler.ds_normals,pick_norm,2));
	vertex_color(		v_buffer, c_white, 1 );
	vertex_texcoord(	v_buffer, ds_grid_get(obj_handler.ds_uvs,pick_uv,0),		ds_grid_get(obj_handler.ds_uvs,pick_uv,1));

}
	
// finish building model	
vertex_end( v_buffer );


//get_save_filename("*.txt", string(conf_file));
file_text_close(conf_file);